> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beyondwords.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Test RSS feed import

> Fetches and parses an RSS feed without saving an import. Use this to preview which items would be ingested and verify field mapping.



## OpenAPI

````yaml post /projects/{project_id}/integrations/rss_importer/feeds/test
openapi: 3.0.1
info:
  title: BeyondWords REST API
  description: |-
    This is the documentation for the BeyondWords REST API.
              You can use this API to use BeyondWords programmatically.
              You can get your API Key and Project ID for each project in the Project settings tab in the BeyondWords
              <a href="https://dash.beyondwords.io/dashboard">dashboard</a>.
  version: 1.0.0
servers:
  - url: https://api.beyondwords.io/v1
security: []
paths:
  /projects/{project_id}/integrations/rss_importer/feeds/test:
    parameters:
      - name: project_id
        in: path
        description: The numeric ID of your project
        required: true
        schema:
          type: string
    post:
      tags:
        - RSS feed importer
      summary: Test RSS feed import
      description: >-
        Fetches and parses an RSS feed without saving an import. Use this to
        preview which items would be ingested and verify field mapping.
      operationId: rss_importer/feed#test
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/requestBodyRssImporterFeedCreate'
      responses:
        '200':
          description: successful
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/rssImporterFeedTestExample'
              schema:
                $ref: '#/components/schemas/rssImporterFeedTestModel'
      security:
        - apiKey: []
components:
  schemas:
    requestBodyRssImporterFeedCreate:
      type: object
      required:
        - feed_url
        - feed_content_type
      properties:
        enabled:
          type: boolean
          description: Whether importing is enabled or disabled.
        feed_url:
          type: string
          description: URL of the RSS feed you want to import.
        feed_content_type:
          type: string
          enum:
            - xml
            - json
            - json/pugpig
          description: >-
            Type of content in the feed. Possible values include `xml`, `json`
            or `json/pugpig`.
        feed_headers:
          type: object
          description: >-
            Headers that you want to include in the HTTP request when fetching
            the RSS feed.
        import_interval:
          type: integer
          description: Number of minutes between each import of the RSS feed.
        extractor_enabled:
          type: boolean
          description: >-
            Whether or not the RSS importer should fetch the content from the
            page linked in the `map.source_url` property. Set to true if the RSS
            feed does not contain the content. In this case you can set
            `map.body` to `null`.
        map:
          type: object
          required:
            - source_id
            - publish_date
          description: >-
            Object that contains mappings between the data in the RSS feed and
            the properties in the content object. Each property in the map
            object represents a property in the content object, and its value is
            a string that represents the name of the corresponding element in
            the RSS feed.
          properties:
            title:
              type: array
              items:
                type: string
              description: >-
                Array of strings that represent the name of the element in the
                RSS feed that corresponds to the title of the feed item.
            body:
              type: array
              items:
                type: string
              description: >-
                Array of strings that represent the name of the element in the
                RSS feed that corresponds to the content of the feed item. If
                extractor_enabled is true then the RSS importer will open the
                URL in the `map.source_url` and extract the content from the
                page.
            summary:
              type: array
              items:
                type: string
              description: >-
                Array of strings that represent the name of the element in the
                RSS feed that corresponds to the summary of the feed item.
            source_id:
              type: string
              description: >-
                String that represents the name of the element in the RSS feed
                that corresponds to the id of the feed item.
            source_url:
              type: string
              description: >-
                String that represents the name of the element in the RSS feed
                that corresponds to the URL of the feed item.
            author:
              type: string
              description: >-
                String that represents the name of the element in the RSS feed
                that corresponds to the author of the feed item.
            metadata:
              type: string
              description: >-
                String that represents the name of the element in the RSS feed
                that corresponds to the metadata of the feed item.
            image_url:
              type: string
              description: >-
                String that represents the name of the element in the RSS feed
                that corresponds to the image header of the feed item.
            publish_date:
              type: string
              description: >-
                String that represents the name of the element in the RSS feed
                that corresponds to the pubDate of the feed item.
    rssImporterFeedTestModel:
      type: object
      properties:
        items:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
                nullable: true
              body:
                type: string
                nullable: true
              summary:
                type: string
                nullable: true
              source_id:
                type: string
                nullable: true
              source_url:
                type: string
                nullable: true
              author:
                type: string
                nullable: true
              metadata:
                type: object
                nullable: true
              image_url:
                type: string
                nullable: true
              publish_date:
                type: string
                nullable: true
              raw_item:
                type: object
                nullable: true
  examples:
    rssImporterFeedTestExample:
      summary: A sample RSS feed test
      value:
        items:
          - title:
              - title
            body:
              - content
            summary:
              - description
            source_id: podcast_id_1
            source_url: https://beyondwords.io/
            author: James
            metadata: meta
            image_url: media
            publish_date: 2020-01-09 22:18:26 UTC
            raw_item:
              title: title
              description: description
              guid: podcast_id_1
              pubDate: 2050-01-01 00:00:00 UTC
              link: https://beyondwords.io/
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````